Mandrill Inbound API Private Message Reply
==========================================

This module hooks into the [Mandrill Inbound API] module to process inbound
email replies and turn them into [Private Message] replies.

This works by altering the outbound email generated by the pm_email_notify
(sub)module of privatemsg.  The reply-to email is altered to reflect a pattern
(pm-reply-*@mysite.com) that Mandrill will intercept and send back to an
endpoint.  This module then handles that incoming message, validates it and
creates the private message reply.

**Features Include:**
* Validates that the sending user (based on from email address) has access to the private message thread.
* Creates the private message reply as if the sending user created it through the Private Message UI.

Instructions
------------

**Requirements**
* [Mandrill Inbound API](https://drupal.org/project/mandrill_inbound_api) 7.x-2.x (or higher)
* [Private Message](https://drupal.org/project/privatemsg)
* Private Message Notification (pm_email_reply) sub-module of Private Message.

**Installation / Configuration**
* Install this module, the Mandrill Inbound API module and their requirements.
* Follow the Mandrill Inbound API module instructions for setting up the route and domain.
* Drink a beer.

Maintainers
-----------
Craig Aschbrenner (https://drupal.org/u/caschbre) (http://foggyperspective.com)
